<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('Spotiplon - Add Album')">
</head>

<body>
    <div class="container-fluid">
        <h1>Add Album</h1>


        <form th:action="@{/add-album}" method="post" enctype="multipart/form-data">
            <label for="name">Name :</label>
            <input class="form-control" type="text" id="name" th:field="${album.name}">
            <label for="released">Release Date :</label>
            <input class="form-control" type="date" id="released" th:field="${album.released}">
            <label for="artist">Artist : </label>
            <select id="artist" class="form-select" th:field="${album.artist}">
                <option selected th:value="${null}">Select artist</option>
                <option th:each="artist : ${artists}" th:value="${artist.id}" 
                th:text="${artist.name}"></option>
            </select>
            <label for="cover">Album Cover : </label>
            <input type="file" class="form-control" id="cover" name="file">
            <button class="btn btn-primary">Add</button>
        </form>
    </div>
    
    <div th:replace="fragments/layout.html :: foot"></div>
</body>

</html>